D4Science Infrastructure - Task #2764

OrientDB installation
Mar 18, 2016 03:35 PM - Lucio Lelii

Status: Closed Start date: Mar 18, 2016
Priority: Urgent Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Development

Description

We need an installation of orientDB to perform some tests.

http://orientdb.com/orientdb/

For now you can install it in only one node.

History

#1 - Mar 21, 2016 05:36 PM - Luca Frosini

Install how-to can be found here
http://orientdb.com/docs/last/Unix-Service.html

#2 - Mar 23, 2016 02:25 PM - Tommaso Piccioli
- Status changed from New to Closed

- % Done changed from 0 to 100
orientdb0-d-d4s.d4science.org

You can ssh login as user orientdb

configure orientdb server in /home/orientdb/orientdb-community-2.1.13/

and start/stop/restart orientdb server using
sudo /etc/init.d/orientdb start (or stop or restart)

If you need more space on the file system let me know.

#3 - Mar 24, 2016 09:33 AM - Luca Frosini

- Status changed from Closed to In Progress

I can't login.

Actually | don't know how to configure it. Can you please provide the default configuration, we will see in the future how to change it.

#4 - Mar 24, 2016 11:48 AM - Tommaso Piccioli

Lucio and Luca can access with ssh to the user orientdb and start the orientdb console,

from our networks you can access orientdb studio http://orientdb0-d-d4s.d4science.org:2480

remote network connection to the storage is open on port 2424

If you need the orientdb root password you can find it in the orientdb server configuration file.

Here the manual http://orientdb.com/docs/2.1/

#5 - Mar 24, 2016 12:04 PM - Tommaso Piccioli

- Status changed from In Progress to Closed
